Subject: Re: [PATCH] branch: allow "-" as a short-hand for "previous branch"

From: Junio C Hamano <[email-masked]>
Date: Sat, 13 Aug 2022 15:28:40 -0700

Rubén Justo <[email-masked]> writes:

> Previous to this, I thought about making also a "git diff -",
> ...
> Also discarded the "git diff -" change, because of so many flags and
> conditions "diff" has. So I only sent the "branch -" patch.

Yeah, that is why the approach Johannes showed, i.e. instead of
making "in this context but not in that context, '-' means
'previous'" changes to random commands, teaching anybody that takes
@{-1} to understand that '-' means 'previous' everywhere, appears
very tempting.